

rem ============== set path variable =================

rem Goodix Fingerprint
set GFP=Lens_Driver_V3.0.81.230
set GFPCommand=Install.cmd

rem Ofilm Fingerprint
set OFP=OFilm_FP_FWDriver_11.26.1.40_WHQL
set OFPCommand=Install.cmd

rem ============== set path variable =================

rem ======= Goodix Fingerprint start =======
rem :Goodix_Fingerprint
pushd %~dp0
echo Installing %GFP%
FOR /F "tokens=1" %%A IN ('%~dp0DEVCON.exe find "USB\VID_27C6&PID_581A" ') DO SET GoFP=%%A
IF %GoFP%==No (
echo Not Goodix FP
) else (
pushd Lens_Driver_V3.0.81.230
pnputil -i -a *.inf
popd
goto :install_pass

)
rem ======= Goodix Fingerprint end =======

rem ======= Ofilm Fingerprint start =======
rem :Ofilm_Fingerprint
pushd %~dp0
echo Installing %OFP%
FOR /F "tokens=1" %%A IN ('%~dp0DEVCON.exe find "USB\VID_10A5&PID_9200" ') DO SET GoFP=%%A
IF %GoFP%==No (
echo Not OFlim FP 
) ELSE (
pushd OFilm_FP_FWDriver_11.26.1.40_WHQL
pushd fw_inf
pnputil -i -a *.inf
popd
pnputil -i -a *.inf
popd
goto :install_pass

)

rem ======= Ofilm Fingerprint end =======

:install_pass
timeout /t 3 /nobreak
exit

